/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SrvAdvMsg_H_
#define	_SrvAdvMsg_H_


#include <asn_application.h>

/* Including external dependencies */
#include "RsvAdvPrtVersion.h"
#include "SrvAdvBody.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* SrvAdvMsg */
typedef struct SrvAdvMsg {
	RsvAdvPrtVersion_t	 version;
	SrvAdvBody_t	 body;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} SrvAdvMsg_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SrvAdvMsg;

#ifdef __cplusplus
}
#endif

#endif	/* _SrvAdvMsg_H_ */
#include <asn_internal.h>
